Subject: Re: [PATCH linux-next] net: record times of netdev_budget exhausted

From: <[email-masked]>
Date: Thu, 8 Dec 2022 09:12:06 +0800 (CST)

> In my experience - no this is not useful.

Received, thanks!

> Sorry if this is too direct, but it seems to me like you're trying hard
> to find something useful to do in this area without a clear use case. 
I see maybe this is a too special scenes, not suitable. The motivation
is we see lots of time_squeeze on our working machines, and want to
tuning, but our kernel are not ready to use threaded NAPI. And we
did see performance difference on different netdev_budget* in
preliminary tests.

> We have coding tasks which would definitely be useful and which nobody
> has time to accomplish. Please ask if you're trying to find something
> to do.

We focus on 5G telecom machine, which has huge TIPC packets in the
intranet. If it's related, we are glad to do it with much appreciate of your
indicate!

Thanks.